Subject: Re: [bug#58768] Patch attached

From: "(" <[email-masked]>
Date: Tue, 25 Oct 2022 17:07:50 +0100

Heya,

On Tue Oct 25, 2022 at 2:39 PM BST, Felix Lechner wrote:
> The patch was rebased for the recent acceptance of one prerequisite,
> namely Patch#58659.

Cool. Shouldn't that have been in this patch series, though? Also, it's
better to use the procedure described here and in the manual's Contributing
section for sending patches, rather than sending them as attachments; it
makes them much easier to reply to: <https://issues.guix.gnu.org/58648#1>

By the way, each package should be in its own patch, not one mega-patch.

> Thanks for that hint too! Oddly, both 'guix build' and 'guix lint'
> found the variables without it but the new file is gone, anyway.

They will find it, but you won't be able to compile the file with
``make'', so ``guix pull'' won't be able to compile it (which it does to
make loading faster).

    -- (